=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(qt-certificate-addon)
