=== thirdparty/qt-certificate-addon/CMakeLists.txt ===
project(qtcertificateaddon)

cmake_minimum_required(VERSION 2.8.11)

add_subdirectory( src )
