=== debian/changelog ===
qsslcaudit (0.8.3-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:56:25 +0200

qsslcaudit (0.8.3-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * New upstream release.
  * Drop patch fix-FindCryptoPP-for-version-8.3.patch, present upstream.
  * Refresh patches.

  [ Sophie Brun ]
  * Bump Standards-Version to 4.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Jan 2023 15:44:36 +0100

qsslcaudit (0.8.1-0kali2) kali-dev; urgency=medium

  * Add patches to build with cryptocpp version 8.3
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jan 2021 10:14:55 +0100

qsslcaudit (0.8.1-0kali1) kali-dev; urgency=medium

  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * New upstream version 0.8.1
  * Update debian/copyright
  * Add new build-dep libcrypto++-dev
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 May 2020 14:22:59 +0200

qsslcaudit (0.7.1-1kali1) kali-dev; urgency=low

  [ Pavel Nakonechnyi ]
  * initial build for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Oct 2019 11:02:22 +0100
