=== debian/control ===
Source: qsslcaudit
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libcrypto++-dev,
               libgnutls28-dev,
               libunsafessl-dev,
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://github.com/gremwell/qsslcaudit

Package: qsslcaudit
Architecture: any
Depends: libunsafessl1.0.2, ${misc:Depends}, ${shlibs:Depends}
Description: test SSL/TLS clients how secure they are
 This tool can be used to determine if an application that uses TLS/SSL for its
 data transfers does this in a secure way.
