=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=cmake --sourcedirectory=.

override_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) > .version
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release
