=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qsslcaudit-$1.tar.gz%" \
   https://github.com/gremwell/qsslcaudit/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
